petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISDestroy

Destroys an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISDestroy(IS *is)

Collective on IS

### Input Parameters

is -the index set

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlocked()

### Level

beginner

### Location

src/vec/is/is/interface/index.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/is/examples/tutorials/ex1.c.html
src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex3.c.html
src/vec/is/is/examples/tutorials/ex1f.F.html
src/vec/is/is/examples/tutorials/ex1f90.F90.html
src/vec/is/is/examples/tutorials/ex2f.F.html
src/vec/is/is/examples/tutorials/ex3f90.F90.html
src/mat/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html

### Implementations

ISDestroy_Block in src/vec/is/is/impls/block/block.c
ISDestroy_General in src/vec/is/is/impls/general/general.c
ISDestroy_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages